<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="scicos_debug">
  <refnamediv>
    <refname>scicos_debug</refname>
    <refpurpose>Définit le niveau de débogage de scicos</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>scicos_debug(level) level=scicos_debug()</synopsis>
  </refsynopsisdiv>
  <refsection id="Module_scicos_debug">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_scicos_debug">
    <title>Description</title>
    <para>
Cette fonction sert à paramétrer le niveau de débogage de la simulation scicos.  
</para>
    <para>
Elle peut être utilisée soit en mode "Calc" dans l'éditeur Scicos ou en tant qu'instruction dans un bloc scilab et encore dans une fonction d'interfaçage.  
</para>
    <para>
</para>
    <programlisting role="example"><![CDATA[ 
scicos_debug(level)
level=scicos_debug()
 ]]></programlisting>
  </refsection>
  <refsection id="Paramètres_scicos_debug">
    <title>Paramètres</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">level :</emphasis> retourne/définit le niveau de débogage de la simulation scicos.</para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">0 :</emphasis>
   pas de débogage.
</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">1 :</emphasis>
   debogage léger et informations affichées dans la console Scilab.
</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">2 :</emphasis>
   debogage fort : plus d'informations affichées dans la console Scilab et éxécution du bloc "debug" si celui ci est présent dans le diagramme.
</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">3 :</emphasis>
   debogage silencieux : pas d'informations affichées dans la console Scilab et éxécution du bloc "debug" si celui ci est présent dans le diagramme.
</para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Voiraussi_scicos_debug">
    <title>Voir aussi</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="DEBUG_SCICOS">DEBUG_SCICOS - Bloc debug (Bloc Scicos)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Auteurs_scicos_debug">
    <title>Auteurs</title>
    <para>
      <emphasis role="bold"/>
    </para>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Alan Layec</emphasis> INRIA</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">Ramine Nikoukhah</emphasis> INRIA</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
